> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Batch Settlement Schedule

> Creates a Batch Settlement Schedule that can be used as the destination of a liquidation address.



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json post /customers/{customerID}/batch_settlement_schedules
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/batch_settlement_schedules:
    post:
      tags:
        - Batch Settlements
      summary: Create a Batch Settlement Schedule
      description: >-
        Creates a Batch Settlement Schedule that can be used as the destination
        of a liquidation address.
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/IdempotencyKeyParameter'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBatchSettlementSchedule'
      responses:
        '200':
          description: Batch Settlement Schedule object created
          content:
            application/json:
              schema:
                title: Batch Settlement Schedule
                type: object
                required:
                  - id
                properties:
                  id:
                    $ref: '#/components/schemas/Id'
                    description: ID of the batch settlement schedule
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
      deprecated: true
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    IdempotencyKeyParameter:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
  schemas:
    CreateBatchSettlementSchedule:
      required:
        - destination
      properties:
        destination:
          $ref: '#/components/schemas/TransferDestination'
          description: The destination that Bridge will use to settle funds.
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    TransferDestination:
      required:
        - currency
        - payment_rail
      properties:
        currency:
          $ref: '#/components/schemas/EuroInclusiveCurrency'
          description: >-
            When `eur` is specified as the destination currency, the destination
            rail must be `sepa`.
        payment_rail:
          $ref: '#/components/schemas/SepaSwiftInclusiveOfframpPaymentRail'
          description: >-
            When `sepa` is specified as the destination payment rail, the
            destination currency must be `eur`; when `swift` is specified as the
            destination payment rail, the destination currency must be `usd`.
        external_account_id:
          $ref: '#/components/schemas/Id'
          description: >-
            External bank account Bridge should send the funds to. The currency
            associated with the External Account must match the destination
            currency.
        bridge_wallet_id:
          $ref: '#/components/schemas/Id'
          description: >-
            The Bridge Wallet to which Bridge will send the funds. The chain
            associated with the Bridge Wallet must match the destination payment
            rail.
        omad:
          $ref: '#/components/schemas/Omad'
          readOnly: true
        imad:
          $ref: '#/components/schemas/Imad'
          readOnly: true
        trace_number:
          $ref: '#/components/schemas/TraceNumber'
          readOnly: true
        end_to_end_id:
          $ref: '#/components/schemas/EndToEndId'
          readOnly: true
        wire_message:
          $ref: '#/components/schemas/WireMessage'
        sepa_reference:
          $ref: '#/components/schemas/SepaReference'
        swift_reference:
          $ref: '#/components/schemas/SwiftReference'
        spei_reference:
          $ref: '#/components/schemas/SpeiReference'
        reference:
          $ref: '#/components/schemas/Reference'
        swift_charges:
          $ref: '#/components/schemas/SwiftCharges'
          description: >
            **Deprecated**: prefer `charge_bearer`; this field will be removed
            in a future release. In responses, this field always mirrors
            `charge_bearer`. Sending both `swift_charges` and `charge_bearer`
            with conflicting values on a request is rejected.


            Which party will bear the charges for the SWIFT transaction. When
            left blank, `sha` will be used as the default.
          deprecated: true
        charge_bearer:
          $ref: '#/components/schemas/ChargeBearer'
          description: >-
            Which party bears the charges for the SWIFT transaction. Defaults to
            `sha` when not specified. Replaces the deprecated `swift_charges`
            field; accepted on both request and response.
        ach_reference:
          $ref: '#/components/schemas/AchReference'
        uetr:
          $ref: '#/components/schemas/Uetr'
        blockchain_memo:
          type: string
          description: >-
            The memo to include when sending funds on chain. Only allowed for
            blockchains that support memos such as Stellar
        deposit_id:
          $ref: '#/components/schemas/DepositId'
        tracking_number:
          $ref: '#/components/schemas/TrackingNumber'
          readOnly: true
        transaction_id:
          $ref: '#/components/schemas/TransactionId'
          readOnly: true
        sending_institution_name:
          description: The name of the institution sending the funds
          type: string
          readOnly: true
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    EuroInclusiveCurrency:
      type: string
      enum:
        - brl
        - cop
        - eur
        - eurc
        - gbp
        - mxn
        - pyusd
        - usd
        - usdb
        - usdc
        - usdt
    SepaSwiftInclusiveOfframpPaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - celo
        - ethereum
        - fiat_deposit_return
        - optimism
        - polygon
        - sepa
        - solana
        - spei
        - stellar
        - swift
        - tempo
        - tron
    Omad:
      description: (Wire only) The OMAD of a wire transfer, if available
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 40
      deprecated: true
    Imad:
      description: (Wire only) The IMAD of a wire transfer, if available
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 40
    TraceNumber:
      description: The trace number of an ACH transfer
      type: string
      pattern: '[0-9]'
      minLength: 15
      maxLength: 15
    EndToEndId:
      description: >-
        The end-to-end ID of the FedNow transaction, assigned by the sending
        bank, and is not guaranteed to be unique across payments.
      type: string
    WireMessage:
      description: >-
        A message to be sent with a wire transfer. It can have up to 140
        characters. This message will be validated against 4 lines, each with a
        max length of 35 characters according to the Fedwire standard.
      type: string
      minLength: 1
      maxLength: 256
    SepaReference:
      description: >-
        A reference message to be sent with a SEPA transaction. We recommend you
        set a unique value to help you and your customers track payments end to
        end. It must be from 6 to 140 characters. The allowed characters are
        `a-z`, `A-Z`, `0-9`, spaces, ampersand (`&`), hyphen (`-`), full stop
        (`.`), and solidus (`/`). If not populated, the default value is
        "Payment via Bridge {unique_token}".
      type: string
      minLength: 6
      maxLength: 140
    SwiftReference:
      description: >-
        A payment reference message or remittance information to be included in
        a SWIFT transaction. It can have at most 4 lines (separated by "\n"),
        each line with a max length of 35 chars. The allowed characters are
        `a-z`, `A-Z`, `0-9`, special characters (`/` `-` `?` `:` `(` `)` `.` `,`
        `'` `+`), and space
      type: string
      minLength: 1
      maxLength: 190
    SpeiReference:
      description: >-
        A payment reference message or remittance information to be included in
        a SPEI transaction. The allowed characters are alphanumeric `a-z`,
        `A-Z`, `0-9`, and space
      type: string
      minLength: 1
      maxLength: 40
    Reference:
      description: >
        A payment reference message for newer payment rails (e.g. Pix and Faster
        Payments).
      oneOf:
        - $ref: '#/components/schemas/FasterPaymentsReference'
        - $ref: '#/components/schemas/PixReference'
    SwiftCharges:
      description: >
        **Deprecated**: this schema is the type of the deprecated
        `swift_charges` field and will be removed in a future release. Prefer
        `charge_bearer`, which is typed by `ChargeBearer`.


        Which party bears the SWIFT transaction charges (MT 103 field 71A).

        - `our`: the sender (ordering customer) pays all charges.

        - `sha`: charges are shared — the sender pays their own bank's charges;
        intermediary/beneficiary bank charges are deducted from the transferred
        amount.

        - `ben`: the receiver (beneficiary) pays all charges, deducted from the
        transferred amount.
      deprecated: true
      type: string
      enum:
        - our
        - sha
        - ben
    ChargeBearer:
      description: >
        Which party bears the SWIFT transaction charges.

        - `our`: the sender (ordering customer) pays all charges.

        - `sha`: charges are shared — the sender pays their own bank's charges;
        intermediary/beneficiary bank charges are deducted from the transferred
        amount.

        - `ben`: the receiver (beneficiary) pays all charges, deducted from the
        transferred amount.
      type: string
      enum:
        - our
        - sha
        - ben
    AchReference:
      description: >-
        A reference message to be sent with an ACH transaction. It can be at
        most 10 characters, A-Z, a-z, 0-9, and spaces.
      type: string
      minLength: 1
      maxLength: 10
    Uetr:
      description: >-
        Deprecated: use tracking_number instead. The unique end-to-end
        transaction reference, for tracing purposes.
      type: string
      readOnly: true
      deprecated: true
    DepositId:
      description: A UUID that uniquely identifies a deposit
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    TrackingNumber:
      description: >-
        The primary tracking identifier for this fiat transaction. Format varies
        by payment rail (e.g., UETR for SEPA/FPS, clave de rastreo for SPEI,
        end-to-end ID for PIX).
      type: string
      readOnly: true
    TransactionId:
      description: >-
        Deprecated: use tracking_number instead. The unique transaction
        identifier for this payment.
      type: string
      deprecated: true
    FasterPaymentsReference:
      title: Faster Payments
      type: string
      minLength: 1
      maxLength: 18
    PixReference:
      title: Pix
      type: string
      minLength: 1
      maxLength: 100
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````